<form #form="rxapForm" [@fadeAnimation]="'in'" class="inner mat-elevation-z5" fxLayout="column"
      fxLayoutAlign="center center"
      fxLayoutGap="32px" novalidate
      rxapForm>

  <div class="header" fxFlex="nogrow" fxLayout="column" fxLayoutAlign="center center">

    <mat-icon class="avatar-icon" color="primary" fxFlex="nogrow">add_circle</mat-icon>

  </div>

  <div class="content" fxLayout="column" fxLayoutGap="32px">

    <div fxLayout="column" fxLayoutGap="8px">

      <mat-form-field class="username-input">
        <mat-icon inline matPrefix>person</mat-icon>
        <mat-label>Username</mat-label>
        <input formControlName="username"
               fxFlex="nogrow"
               matInput
               placeholder="Enter your username address"
               type="test">
        <mat-error *rxapFormControlError="let error from 'username'; if: 'required'">
          Username is <strong>required</strong>
        </mat-error>
      </mat-form-field>

      <mat-form-field class="password-input">
        <mat-icon inline matPrefix>vpn_key</mat-icon>
        <mat-label>Password</mat-label>
        <input #passwordInput
               formControlName="password"
               fxFlex="nogrow"
               matInput
               placeholder="Enter your password"
               type="password">
        <mat-error *rxapFormControlError="let error from 'password'; if: 'required'">
          Password is <strong>required</strong>
        </mat-error>
        <button (click)="passwordInput.type = 'test'" *ngIf="passwordInput.type === 'password'" mat-icon-button
                matSuffix tabIndex="-1"
                type="button">
          <mat-icon>visibility</mat-icon>
        </button>
        <button (click)="passwordInput.type = 'password'" *ngIf="passwordInput.type === 'text'" mat-icon-button
                matSuffix tabIndex="-1"
                type="button">
          <mat-icon>visibility_off</mat-icon>
        </button>
      </mat-form-field>

      <mat-form-field>
        <mat-label>Role</mat-label>
        <mat-select formControlName="role">
          <mat-option value="admin">Admin</mat-option>
          <mat-option value="member">Member</mat-option>
        </mat-select>
      </mat-form-field>

    </div>

    <div fxFlex="nogrow" fxLayout="row" fxLayoutAlign="center center" fxLayoutGap="32px">

      <div fxFlex="nogrow">
        <button color="primary" mat-raised-button rxapFormControlMarkDirty type="submit">Register</button>
      </div>

      <div fxFlex="nogrow">
        <button [routerLink]="[ '..', 'login' ]" color="accent" mat-stroked-button type="button">Login</button>
      </div>

    </div>

  </div>

  <div *rxapFormSubmitFailed="let error" fxLayout="row" fxLayoutAlign="center center">
    <mat-error>{{ error.message }}</mat-error>
  </div>

  <mat-progress-bar *rxapFormSubmitting class="loading-bar" mode="indeterminate"></mat-progress-bar>

</form>
